
QGIS Application - Bug report #11540

Cannot load http_digest authenticated WMS

2014-11-04 12:30 AM - armin11 -

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.6.0 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 19810

Description

QGIS 2.6 is not able to load http_digest authenticated WMS any longer :-( .

If some WMS and users / password to test is needed, feel free to ask - I will create dummies for this ;-) .

History

#1 - 2014-11-04 12:34 AM - Giovanni Manghi

- Status changed from Open to Feedback

yes please, add a url that we can test.

#2 - 2014-11-04 02:06 AM - armin11 -

https://www.geoportal.rlp.de/http_auth/32568?REQUEST=GetCapabilities&#38;VERSION=1.1.1&#38;SERVICE=WMS

user: "testqgis26;armin.retterath@gmail.com" 

pwd:  "testqgis26"

Hope that helps ;-)

#3 - 2014-11-04 02:42 AM - Jürgen Fischer

Did you just fix the server?   I could reproduce the problem - but not anymore.

#4 - 2014-11-04 02:43 AM - Jürgen Fischer

- Operating System changed from Unbuntu to Ubuntu

#5 - 2014-11-04 07:14 AM - armin11 -

Hi Jürgen - fixed the Server? Maybe the credentials are stored somewhere an reused by QGIS?

#6 - 2014-11-09 01:04 PM - Anita Graser

- Subject changed from WMS Interface to Cannot to load http_digest authenticated WMS

#7 - 2014-11-13 11:32 PM - armin11 -
https://www.geoportal.rlp.de/http_auth/32568?REQUEST=GetCapabilities&#38;VERSION=1.1.1&#38;SERVICE=WMS
mailto:armin.retterath@gmail.com


I altered the email of the user to authenticate to armin.retterath(at)gmail.com.

Therefor you have to use:

username: 'testqgis26;armin.retterath(at)gmail.com'

password: 'testqgis26'

We noticed, that some java http_auth libs have problems with the @ sign ;-) - but this should be a bug in the java libs

#8 - 2014-11-13 11:41 PM - Paolo Cavallini

- Subject changed from Cannot to load http_digest authenticated WMS to Cannot load http_digest authenticated WMS

#9 - 2015-11-07 11:25 AM - Giovanni Manghi

- Target version deleted (Version 2.6)

#10 - 2015-12-21 05:40 AM - Giovanni Manghi

- Status changed from Feedback to Open

#11 - 2017-01-09 01:09 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

Test credentials and/or server are not valid anymore.

Closing also because WMS behind basic http authentication works as expected (while we know the wfs client has some issues storing the username).

Please reopen if necessary.
